# Get target SBOM

Proxy ShiftLeft/Qwiet compound BOM for a target. Resolves polyglot scan and compound from ShiftLeft scan metadata, then calls Qwiet v4 compounds/named/{compound}/bom.

Endpoint: GET /sto/api/v2/targets/{id}/sbom
Version: 1.0
Security: 

## Query parameters:

  - `accountId` (string, required)
    Harness Account ID
    Example: "abcdef1234567890ghijkl"

  - `orgId` (string, required)
    Harness Organization ID
    Example: "example_org"

  - `projectId` (string, required)
    Harness Project ID
    Example: "example_project"

  - `variantId` (string)
    Optional variant scope
    Example: "xyz987zyx654wvu321tsr9"

  - `executionId` (string)
    Harness Execution ID
    Example: "abcdef1234567890ghijkl"

  - `format` (string, required)
    The format to return the BOM in
    Enum: "cyclonedx-1.2-xml", "cyclonedx-1.2-json", "cyclonedx-1.4-xml", "cyclonedx-1.4-json", "spdx-2.3-tag-value", "spdx-2.3-json", "spdx-2.3-yaml"

  - `type` (string)
    The finding types to look at
    Enum: "package", "container_package"

  - `license` (string)
    Limit the SBOM to packages with this license
    Example: "MIT"

  - `pretty` (boolean)
    Pretty-print the output

## Path parameters:

  - `id` (string, required)
    Target ID
    Example: "abcdef1234567890ghijkl"

## Response 400 fields (application/json):

  - `message` (string, required)
    Example: "Not Found"

  - `status` (integer)
    Example: 404


